Reinforcement UShapeRebar/pt-br: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(2 intermediate revisions by the same user not shown)
Line 13: Line 13:


{{GuiCommand
{{GuiCommand
|Name=Arch Rebar UShape
|Name=Reinforcement UShapeRebar
|MenuLocation=Arch → Rebar tools → U-Shape Rebar<br>3D/BIM → Reinforcement tools → U-Shape Rebar
|MenuLocation=Arch → Rebar tools → U-Shape Rebar<br>3D/BIM → Reinforcement tools → U-Shape Rebar
|Workbenches=[[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|Workbenches=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|Version=0.17
|Version=0.17
|SeeAlso=
|SeeAlso=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Rebar|Arch Rebar]], [[Arch_Rebar_LShape|Arch Rebar LShape]]
}}
}}


==Description==
==Description==


The {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch_Rebar_UShape|UShape Rebar]]}} tool allows the user to create a set of U-shaped reinforcing bars inside an {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}} object.
The [[Reinforcement_UShapeRebar|Reinforcement UShapeRebar]] tool allows the user to create a set of U-shaped reinforcing bars inside an [[Arch_Structure|Arch Structure]] object.


This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].
The {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch_Rebar_UShape|UShape Rebar]]}} tool is also integrated into [[BIM_Workbench|BIM Workbench]].

This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.


[[Image:Arch_Rebar_UShape_example.png|400px]]
[[Image:Arch_Rebar_UShape_example.png|400px]]
Line 34: Line 32:


# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}} object.
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}} object.
# Then select {{Button|[[Image:Arch Rebar UShape.svg|16px]] [[Arch_Rebar_UShape|UShape Rebar]]}} from the rebar tools.
# Then select {{Button|[[Image:Reinforcement_UShapeRebar.svg|16px]] [[Reinforcement UShapeRebar|U-Shape Rebar]]}} from the rebar tools.
# A [[Task_panel|task panel]] will pop-out on the left side of the screen as shown below.
# A [[Task_panel|task panel]] will pop-out on the left side of the screen as shown below.
# Select the desired orientation.
# Select the desired orientation.
# Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Select the mode of distribution either 'Amount' or 'Spacing'.
# Select the mode of distribution either 'Amount' or 'Spacing'.
#* If 'Spacing' is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
#* If 'Spacing' is selected, a user can also opt for [[Reinforcement_Custom_Spacing|custom spacing]].
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|Cancel}} to exit the task panel.
# Click {{Button|Cancel}} to exit the task panel.


:[[Image:UShapeDialog.png|250px]]
[[Image:UShapeDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar UShape tool}}
{{Caption|Task panel for the tool}}


==Properties==
==Properties==
Line 63: Line 61:
{{Emphasis|See also:}} [[Arch_API|Arch API]], [[Reinforcement_API|Reinforcement API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch_API|Arch API]], [[Reinforcement_API|Reinforcement API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


The UShape Rebar tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
The Reinforcement UShapeRebar tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
Line 99: Line 98:
=== Edition of the rebar ===
=== Edition of the rebar ===


You can change the properties of the rebar with the following function
You can change the properties of the rebar with the following function:


{{Code|code=
{{Code|code=
Line 123: Line 122:


{{Docnav
{{Docnav
|[[Reinforcement_StraightRebar|StraightRebar]]
|[[Arch_Rebar_Straight|Rebar Straight]]
|[[Reinforcement_LShapeRebar|LShapeRebar]]
|[[Arch_Rebar_LShape|Rebar LShape]]
|[[Reinforcement_Workbench|Reinforcement]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Rebar_Straight.svg
|IconL=Reinforcement_StraightRebar.svg
|IconR=Arch_Rebar_LShape.svg
|IconR=Reinforcement_LShapeRebar.svg
|IconC=Workbench_Arch.svg
|IconC=Reinforcement_Workbench.svg
}}
}}


{{Arch Tools navi{{#translation:}}}}
[[Category:External_Command_Reference{{#translation:}}]]
{{Userdocnavi{{#translation:}}}}
[[Category:Reinforcement{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:42, 9 March 2024

Reinforcement UShapeRebar

Menu location
Arch → Rebar tools → U-Shape Rebar
3D/BIM → Reinforcement tools → U-Shape Rebar
Workbenches
Reinforcement, Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
None

Description

The Reinforcement UShapeRebar tool allows the user to create a set of U-shaped reinforcing bars inside an Arch Structure object.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Two sets of U-shaped reinforcement bars inside an Arch Structure

Usage

  1. Select any face of a previously created Arch Structure object.
  2. Then select U-Shape Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Task panel for the tool

Properties

  • DadosOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DadosFront Cover: The distance between rebar and selected face.
  • DadosRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DadosLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DadosBottom Cover: The distance between rebar from the bottom face of the structure.
  • DadosTop Cover: The distance between rebar from the top face of the structure.
  • DadosRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DadosAmount: The amount of rebars.
  • DadosSpacing: The distance between the axes of each bar.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Reinforcement UShapeRebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, b_cover, r_cover, l_cover, and t_cover are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, right, left, and top offsets.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • rounding is the parameter that determines the bending radius of the reinforcement bars.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Bottom", "Top", "Right", or "Left".

Example

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function:

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created UShapeRebar object.
  • The other parameters are the same as required by the makeUShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")